﻿@import url('https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100;0,300;0,400;0,700;0,900;1,400&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Monoton&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Rubik+Distressed&display=swap');

/* Table of Contents
     1. General
     2. Backgrounds
     3. Typography
     4. Components (buttons, cards etc.)
     5. Custom responsive styles
     6. Admin area
     7. QuillJS
     8. Blazor default styles
     9. Our
*/

/* 1. General */
.shadow {
    box-shadow: 0 0.3rem 0.6rem rgba(0, 0, 0, 0.4) !important;
}

.shadow-no-hover {
    box-shadow: 0 0.15rem 0.4rem rgba(0, 0, 0, 0.5) !important;
}

.shadow:hover {
    box-shadow: 0 0.15rem 0.4rem rgba(0, 0, 0, 0.8) !important;
}

.admin-area-main {
    display: flex;
    flex-wrap: nowrap;
    height: 100vh;
    max-height: 100vh;
    overflow-x: auto;
    overflow-y: auto;
    background-color: #404040;
}

.admin-area-content {
    overflow-y: scroll;
    padding: 10vw;
}

.w-8 {
    width: 8%;
}

.w-14 {
    width: 14%;
}

.w-15 {
    width: 15%;
}

.w-35 {
    width: 35%;
}

.w-40 {
    width: 40%;
}

.flex-shrink-1 {
    flex-shrink: 1;
}

.z-index-5 {
    z-index: 5;
}

.min-vh-90 {
    min-height: 90vh !important;
}

.overflow-auto {
    overflow: auto;
}

/* 2. Backgrounds */
.bg-mentor {
    background-color: rgb(42, 153, 175, 0.7 );
}

.bg-lightgray {
    background-color: #191935;
}

.bg-lightgray2 {
    background-color: #EBEBEB;
}

.bg-top {
    background-color: #594b704e;
}

.bg-motherboard-dev {
    background-color: #424265;
}

.bg-logo {
    background-image: url("../assets/img/publicbackgrounds/logo2.jpg");
    background-attachment: fixed;
}

.hover-bg-white:hover {
    background-color: #fff;
}

.bg-white-94 {
    background-color: rgba(255, 255, 255, 0.94);
}

.bg-white {
    background-color: white;
}

.bg-border {
    border-block-style: solid;
    border-block-start-width: medium;
    border-block-color: orange;
}

/* 3. Typography */
body {
    font-family: 'Roboto', sans-serif;
}

.f-size-3 {
    font-size: 3rem;
}

.title-in-menu {
    font-family: 'Roboto', cursive;
    font-size: larger;
}

.title-in-text {
    font-family: 'Monoton', cursive;
    font-size: 27px;
}

/* 4. Components (buttons, cards etc.) */
.btn {
    border-radius: 0px;
}

.btn--category {
    border-radius: 20px;
    padding: 1px 10px;
    border: none;
    /*background-color:rgb(180,180,180,0.4);*/
    /*background: linear-gradient(45deg, rgba(255,255,255,0.7), transparent);*/
    font-weight: bold;
    transition: ease-in-out 0.5s;
}

    .btn--category:hover {
        background: #105cd4;
        transform: scale(1.05);
        color: white;
    }

.card {
    border-radius: 0px;
}

.card-radius {
    border-radius: 50px;
}

.card-background-transparent {
    background-color: transparent;
}

.btn-update {
    color: #FFF;
    background-color: #cfb300;
    border-color: #cfb300;
}

    .btn-update:hover {
        color: #FFF;
        background-color: #a68f00;
        border-color: #a68f00;
    }

.admin-index-thumbnail-image {
    display: block;
    width: 100%;
    height: auto;
}

.admin-crud-form-thumbnail-image {
    display: block;
    max-width: 50%;
}

.list-group {
    border-radius: 0px;
}

/* przycisk animowany */

.button {
    border-radius: 4px;
    background-color: rgb(176, 170, 182);
    color: black;
    text-align: center;
    font-size: 28px;
    padding: 15px 25px;
    height: 100%;
    width: 25%;
    cursor: pointer;
    float: right;
    vertical-align: baseline;
    transition: all 0.5s;
    text-transform: uppercase;
}

    .button:hover {
        background-color: orange;
    }

    .button :first-child {
        padding-left: 10px;
        transition: all 0.5s;
    }

    .button:hover :first-child {
        padding-left: 0px;
    }

    .button :last-child {
        opacity: 0;
        transition: all 0.5s;
        padding-left: 0px;
    }

    .button:hover :last-child {
        opacity: 1;
        padding-left: 10px;
    }

/* 5. Custom responsive styles */
@media (max-width: 992px) {
    .md-and-smaller-my-3 {
        margin-top: 1rem !important;
        margin-bottom: 1rem !important;
    }

    /*    .bg-motherboard-dev {
        background-image: url("../assets/img/publicbackgrounds/platforma.jpg");
    }*/

    .md-and-smaller-d-none {
        display: none !important;
    }
}

@media (min-width: 992px) {
    .md-f-size-1-5 {
        font-size: 1.5rem;
    }
}

/* 6. Admin area */
.admin-area-main {
    display: flex;
    flex-wrap: nowrap;
    height: 100vh;
    max-height: 100vh;
    overflow-x: auto;
    overflow-y: hidden;
    background-color: #404040;
}

.admin-area-content {
    overflow-y: scroll;
    padding: 10vw 10vw;
}

/* 7. QuillJS */
.ql-container.ql-snow {
    border: none;
}

.ql-editor {
    font-family: 'Roboto', sans-serif;
    font-size: 1rem;
    padding: 0px;
}

    .ql-editor .ql-video {
        width: 640px;
        height: 360px;
    }

/* 8. Blazor default styles */
.validation-message {
    color: red;
}

#blazor-error-ui {
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

    #blazor-error-ui .dismiss {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }

.blazor-error-boundary {
    background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
    padding: 1rem 1rem 1rem 3.7rem;
    color: white;
}

    .blazor-error-boundary::after {
        content: "An error has occurred."
    }

/* 9. Our */

.input {
    border-color: black;
    border-block: dashed;
}

.labelStudent2 {
    margin: 1%;
}

.icon {
    height: 4%;
    width: 4%;
}

.font-change {
    font-family: 'Rubik Distressed', cursive;
}

.font {
    font-size: 30px;
    color: aliceblue;
}

.h1 {
    display: block;
    font-size: 3em;
    margin-top: 0.67em;
    margin-bottom: 0.67em;
    margin-left: 0;
    margin-right: 0;
    font-weight: bold;
    color: aliceblue;
}

.h1-padding {
    padding-top: 10px;
}

textarea:focus,
input[type="text"]:focus,
input[type="password"]:focus,
input[type="datetime"]:focus,
input[type="datetime-local"]:focus,
input[type="date"]:focus,
input[type="month"]:focus,
input[type="time"]:focus,
input[type="week"]:focus,
input[type="number"]:focus,
input[type="email"]:focus,
input[type="url"]:focus,
input[type="file"]:focus,
input[type="search"]:focus,
input[type="tel"]:focus,
input[type="color"]:focus,
.uneditable-input:focus {
    border-color: black;
    box-shadow: 0 1px 1px black inset, 0 0 8px black;
    outline: 0 none;
}

.white {
    color: white;
}

.fontorange {
    display: block;
    font-size: 3em;
    margin-top: 0.67em;
    margin-bottom: 0.67em;
    margin-left: 0;
    margin-right: 0;
    font-weight: bold;
    color: orange;
}

.fontorangesmall {
    display: block;
    font-size: 1.5em;
    margin-top: 0.67em;
    margin-bottom: 0.67em;
    margin-left: 0;
    margin-right: 0;
    font-weight: bold;
    color: black;
}

.h2 {
    display: block;
    font-size: 1em;
    margin-top: 0.67em;
    margin-bottom: 0.67em;
    margin-left: 0;
    margin-right: 0;
    font-weight: bold;
    color: white;
}

.position-left {
    text-align: left;
}

.position-center {
    text-align: center;
}

.position-right {
    float: right;
    vertical-align: baseline;
}




